summaryrefslogtreecommitdiffstats
path: root/bin/deploy
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2004-12-16 04:52:06 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2004-12-16 04:52:06 (GMT)
commit42ce61f4d7adb5d45a62570e9ded131fa7519e12 (patch)
tree427b304fbfd584f0d2205683ea18e0b01a1f17b5 /bin/deploy
parent2661085bd134b78342088c533c126d5d430870e6 (diff)
downloadhdf5-42ce61f4d7adb5d45a62570e9ded131fa7519e12.zip
hdf5-42ce61f4d7adb5d45a62570e9ded131fa7519e12.tar.gz
hdf5-42ce61f4d7adb5d45a62570e9ded131fa7519e12.tar.bz2
[svn-r9677] Purpose:
New feature to deploy the binary. Platforms tested: Hand tested in heping.
Diffstat (limited to 'bin/deploy')
-rwxr-xr-xbin/deploy59
1 files changed, 59 insertions, 0 deletions
diff --git a/bin/deploy b/bin/deploy
new file mode 100755
index 0000000..0521430
--- /dev/null
+++ b/bin/deploy
@@ -0,0 +1,59 @@
+#!/bin/sh
+##
+## Copyright by the Board of Trustees of the University of Illinois.
+## All rights reserved.
+##
+## This file is part of HDF5. The full HDF5 copyright notice, including
+## terms governing use, modification, and redistribution, is contained in
+## the files COPYING and Copyright.html. COPYING can be found at the root
+## of the source code distribution tree; Copyright.html can be found at the
+## root level of an installed copy of the electronic HDF5 document set and
+## is linked from the top-level documents page. It can also be found at
+## http://hdf.ncsa.uiuc.edu/HDF5/doc/Copyright.html. If you do not have
+## access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
+##
+# Deploy the HDF5 binary.
+#
+# Programmer: Albert Cheng
+# Created Date: 2004/12/15
+#
+# Modifications
+
+# Function definitions
+#
+# Print Usage page
+USAGE()
+{
+cat << EOF
+Usage: $0 <dir>
+ Install the binary to directory <dir>
+
+Examples:
+
+ $ bin/deploy /usr/local/hdf5
+ ....
+
+EOF
+
+}
+
+
+# Variables
+
+if [ $# != 1 ]; then
+ USAGE
+ exit 1
+fi
+
+installdir=$1
+if [ ! -e $installdir ]; then
+ mkdir $installdir
+fi
+if [ ! -d $installdir ]; then
+ echo $installdir is not a valid directory
+ USAGE
+ exit 1
+fi
+
+${MAKE:-gmake} install prefix=$installdir && ( cd $installdir/bin; ./h5redeploy -force)
+exit $?